Index: /bootstrapper/bootstrap.sh
===================================================================
--- /bootstrapper/bootstrap.sh	(revision 37)
+++ /bootstrapper/bootstrap.sh	(revision 38)
@@ -98,6 +98,5 @@
 	if [ $? -ne 0 ]; then
 		echo "'gcc' not installed. Please install it and run this script again."
-		echo 0
-		return
+		exit 1
 	fi
 
@@ -105,6 +104,5 @@
 	if [ $? -ne 0 ]; then
 		echo "'wget' not installed. Please install it and run this script again."
-		echo 0
-		return
+		exit 1
 	fi
 
@@ -112,6 +110,5 @@
 	if [ $? -ne 0 ]; then
 		echo "'tr' not installed. Please install it and run this script again."
-		echo 0
-		return
+		exit 1
 	fi
 	
@@ -126,11 +123,9 @@
 				No)
 					echo "Aborting."
-					exit 0
+					exit 1
 					;;
 			esac
 		done
 	fi
-
-	echo 1
 }
 
@@ -253,7 +248,5 @@
 		fi
 	else
-		if [ $(checkSetupDeps) -eq 0 ]; then
-			return
-		fi
+		checkSetupDeps
 	fi
 	setupUser
